/*
  Copyright 1998-2018 PasDoc developers.

  This file is part of "PasDoc".

  "PasDoc" is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  "PasDoc" is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with "PasDoc"; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA

  ----------------------------------------------------------------------------
*/

/*! modern-normalize v3.0.1 | MIT License | https://github.com/sindresorhus/modern-normalize */

/*
Document
========
*/

/**
Use a better box model (opinionated).
*/

*,
::before,
::after {
  box-sizing: border-box;
}

html {
  /* Improve consistency of default fonts in all browsers. (https://github.com/sindresorhus/modern-normalize/issues/3) */
  font-family: system-ui, "Segoe UI", Roboto, Helvetica, Arial, sans-serif,
    "Apple Color Emoji", "Segoe UI Emoji";
  color: #222222;
  background-color: #fff;
  line-height: 1.15; /* 1. Correct the line height in all browsers. */
  -webkit-text-size-adjust: 100%; /* 2. Prevent adjustments of font size after orientation changes in iOS. */
  tab-size: 4; /* 3. Use a more readable tab size (opinionated). */
}

/*
Sections
========
*/

body {
  margin: 0; /* Remove the margin in all browsers. */
}

/*
Text-level semantics
====================
*/

/**
Add the correct font weight in Chrome and Safari.
*/

b,
strong {
  font-weight: bolder;
}

/**
1. Improve consistency of default fonts in all browsers. (https://github.com/sindresorhus/modern-normalize/issues/3)
2. Correct the odd 'em' font sizing in all browsers.
*/

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Consolas, "Liberation Mono", Menlo,
    monospace; /* 1 */
  font-size: 1em; /* 2 */
}

/**
Add the correct font size in all browsers.
*/

small {
  font-size: 80%;
}

/**
Prevent 'sub' and 'sup' elements from affecting the line height in all browsers.
*/

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/*
Tabular data
============
*/

/**
Correct table border color inheritance in Chrome and Safari. (https://issues.chromium.org/issues/40615503, https://bugs.webkit.org/show_bug.cgi?id=195016)
*/

table {
  border-color: currentcolor;
}

/*
Forms
=====
*/

/**
1. Change the font styles in all browsers.
2. Remove the margin in Firefox and Safari.
*/

button,
input,
optgroup,
select,
textarea {
  font-family: inherit; /* 1 */
  font-size: 100%; /* 1 */
  line-height: 1.15; /* 1 */
  margin: 0; /* 2 */
}

/**
Correct the inability to style clickable types in iOS and Safari.
*/

button,
[type="button"],
[type="reset"],
[type="submit"] {
  -webkit-appearance: button;
}

/**
Remove the padding so developers are not caught out when they zero out 'fieldset' elements in all browsers.
*/

legend {
  padding: 0;
}

/**
Add the correct vertical alignment in Chrome and Firefox.
*/

progress {
  vertical-align: baseline;
}

/**
Correct the cursor style of increment and decrement buttons in Safari.
*/

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto;
}

/**
1. Correct the odd appearance in Chrome and Safari.
2. Correct the outline style in Safari.
*/

[type="search"] {
  -webkit-appearance: textfield; /* 1 */
  outline-offset: -2px; /* 2 */
}

/**
Remove the inner padding in Chrome and Safari on macOS.
*/

::-webkit-search-decoration {
  -webkit-appearance: none;
}

/**
1. Correct the inability to style clickable types in iOS and Safari.
2. Change font properties to 'inherit' in Safari.
*/

::-webkit-file-upload-button {
  -webkit-appearance: button; /* 1 */
  font: inherit; /* 2 */
}

/*
Interactive
===========
*/

/*
Add the correct display in Chrome and Safari.
*/

summary {
  display: list-item;
}

.container {
  width: 100%;
  height: 100%;
  border-spacing: 0;
}

.navigation {
  float: left;
  width: 20em;
  height: 100%;
  color: #efefef;
  background-color: #120600;
  position: fixed;
  margin: 0;
  padding: 1em;
}
.navigation ul {
  margin: 0em;
  padding: 0em;
}
.navigation li {
  list-style-type: none;
  margin: 0.2em 0em 0em 0em;
  padding: 0.25em;
}
.navigation h2 {
  text-align: center;
  margin: 0em;
  padding: 0.5em;
}

.content {
  margin-left: 20em;
  padding: 1em;
}
.content h1 {
  margin-top: 0;
}

.appinfo {
  float: right;
  text-align: right;
  margin-bottom: 1em;
}

.navigation a:link {
  color: white;
  text-decoration: none;
}
.navigation a:visited {
  color: white;
  text-decoration: none;
}
.navigation a:hover {
  color: rgb(255, 255, 255);
  font-weight: bold;
  text-decoration: none;
}
.navigation a:active {
  color: white;
  text-decoration: none;
}

a.bold:link {
  color: royalblue;
  font-weight: bold;
  text-decoration: none;
}
a.bold:hover {
  text-decoration: underline;
}
a.bold:active {
  text-decoration: underline;
}

a.section {
  color: white;
  text-decoration: none;
}
a.section:hover {
  color: white;
  text-decoration: underline;
}

ul.useslist a:link {
  color: royalblue;
  text-decoration: none;
  font-weight: bold;
}
ul.useslist a:visited {
  text-decoration: none;
  font-weight: bold;
}
ul.useslist a:hover {
  text-decoration: underline;
  font-weight: bold;
}
ul.useslist a:active {
  text-decoration: underline;
  font-weight: bold;
}

ul.hierarchy {
  list-style-type: none;
}
ul.hierarchylevel {
  list-style-type: none;
}

p.unitlink a:link {
  color: royalblue;
  text-decoration: none;
  font-weight: bold;
}
p.unitlink a:visited {
  text-decoration: none;
  font-weight: bold;
}
p.unitlink a:hover {
  text-decoration: underline;
  font-weight: bold;
}
p.unitlink a:active {
  text-decoration: underline;
  font-weight: bold;
}

tr.list {
  background: #f5f5f5;
}
tr.list2 {
  background: #fff;
}
tr.listheader {
  background: #262626;
  color: white;
}

table.wide_list {
  width: 100%;
}
table.wide_list td {
  vertical-align: top;
  padding: 0.5em;
}

table.markerlegend {
  width: auto;
}
table.markerlegend td.legendmarker {
  text-align: center;
}

.sections {
  background: #262626;
}

.sections .one_section {
  color: gray;
  display: inline-block;
  margin: 0.2em;
  padding: 0.5em 1em;
}

table.summary td.itemcode {
  width: 100%;
}
table.detail td.itemcode {
  background-color: #262626;
  color: #eee;
  width: 100%;
}

td.itemname {
  white-space: nowrap;
  padding: 0.5em 1em;
}
td.itemunit {
  white-space: nowrap;
  padding: 0.5em 1em;
}
td.itemdesc {
  width: 100%;
}

code a {
  color: royalblue;
}

code strong {
  color:burlywood;
}

/* The paragraph "This item has no description." with this CSS class appears
   on items that have no description, and no ancestor from which
   to take a description.
   By default we hide it, you can inhide it to explicitly see where descriptions are missing. */
p.nodescription {
}
p.inheritdescription {
  color: red;
}
dl.description dt {
  color: red;
}
dl.parameters dt {
  color: blue;
}

code {
  font-family: monospace;
  font-size: 1.2em;
}

/* style for warning and note tag */
dl.tag.warning {
  margin-left: -2px;
  padding-left: 3px;
  border-left: 4px solid;
  border-color: #ff0000;
}
dl.tag.note {
  margin-left: -2px;
  padding-left: 3px;
  border-left: 4px solid;
  border-color: #d0c000;
}

/* Various browsers have various default styles for <h6>,
   sometimes ugly for our purposes, so it's best to set things
   like font-size and font-weight in out pasdoc.css explicitly. */
h6.description_section {
  /* font-size 100% means that it has the same font size as the
     parent element, i.e. normal description text */
  font-size: 100%;
  font-weight: bold;
  /* By default browsers usually have some large margin-bottom and
     margin-top for <h1-6> tags. In our case, margin-bottom is
     unnecessary, we want to visually show that description_section
     is closely related to content below. In this situation
     (where the font size is just as a normal text), smaller bottom
     margin seems to look good. */
  margin-top: 1.4em;
  margin-bottom: 0em;
}

/* Style applied to Pascal code in documentation
   (e.g. produced by @longcode tag) } */
.longcode {
  font-family: monospace;
  font-size: 1.2em;
  background-color: #eee;
  padding: 0.5em;
  border: thin solid #ccc;
}
span.pascal_string {
  color: #000080;
}
span.pascal_keyword {
  font-weight: bolder;
}
span.pascal_comment {
  color: #000080;
  font-style: italic;
}
span.pascal_compiler_comment {
  color: #008000;
}
span.pascal_numeric {
}
span.pascal_hex {
}

p.hint_directive {
  color: red;
}

input#search_text {
}
input#search_submit_button {
}

acronym.mispelling {
  background-color: #f00;
}

/* Actually this reduces vertical space between *every* paragraph
   inside list with @itemSpacing(compact).
   While we would like to reduce this space only for the
   top of 1st and bottom of last paragraph within each list item.
   But, well, user probably will not do any paragraph breaks
   within a list with @itemSpacing(compact) anyway, so it's
   acceptable solution. */
ul.compact_spacing p {
  margin-top: 0em;
  margin-bottom: 0em;
}
ol.compact_spacing p {
  margin-top: 0em;
  margin-bottom: 0em;
}
dl.compact_spacing p {
  margin-top: 0em;
  margin-bottom: 0em;
}

/* Style for table created by @table tags:
   just some thin border.

   This way we have some borders around the cells
   (so cells are visibly separated), but the border
   "blends with the background" so it doesn't look too ugly.
   Hopefully it looks satisfactory in most cases and for most
   people.

   We add padding for cells, otherwise they look too close.
   This is normal thing to do when border-collapse is set to
   collapse (because this eliminates spacing between cells).
*/
table.table_tag {
  border-collapse: collapse;
}
table.table_tag td {
  padding: 0em;
}
table.table_tag th {
  padding: 0em;
}

table.detail {
  border: 1pt solid rgb(168, 168, 168);
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  padding: 0.1em;
}

.search-form {
  white-space: nowrap;
}
.search-input input {
  max-width: 80%;
} /* this provides some safe space to always fit even on very narrow screens */
.search-input input,
.search-button {
  display: inline-block;
  vertical-align: middle;
}
.search-input {
  display: inline-block;
}

table.table_tag td > p:first-child,
table.table_tag th > p:first-child,
td.itemdesc > p:first-child {
  margin-top: 0em;
}

table.table_tag td > p:last-child,
table.table_tag th > p:last-child,
td.itemdesc > p:last-child {
  margin-bottom: 0em;
}
